Ruby: internal/eval.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions | Variables
eval.h File Reference

Internal header for the evaluator. More...

`#include "ruby/ruby.h"`

Go to the source code of this file.

## Macros
#define | id_signo ruby_static_id_signo
#define | id_status ruby_static_id_status

## Functions
VALUE | rb_refinement_module_get_refined_class (VALUE module)
void | rb_class_modify_check (VALUE)
| Asserts that klass is not a frozen class. More...
VALUE | rb_f_raise (int argc, VALUE *argv)
VALUE | rb_get_backtrace (VALUE info)
void | rb_call_end_proc (VALUE data)
void | rb_mark_end_proc (void)

## Variables
ID | ruby_static_id_signo
ID | ruby_static_id_status

## Detailed Description

Internal header for the evaluator.

Author
  Ruby developers ruby-.nosp@m.core.nosp@m.@ruby.nosp@m.-lan.nosp@m.g.org

Copyright
  This file is a part of the programming language Ruby. Permission is hereby granted, to either redistribute and/or modify this file, provided that the conditions mentioned in the file COPYING are met. Consult the file for details.

Note
  There also is eval_intern.h, which is evaluator's internal header (related to this file, but not the same role).

Definition in file eval.h.

## Macro Definition Documentation

## ◆ id_signo

#define id_signo ruby_static_id_signo

Definition at line 16 of file eval.h.

## ◆ id_status

#define id_status ruby_static_id_status

Definition at line 17 of file eval.h.

## Function Documentation

## ◆ rb_call_end_proc()

void rb_call_end_proc | ( | VALUE | data | ) |

Definition at line 11 of file eval_jump.c.

References rb_ary_new(), and rb_proc_call().

## ◆ rb_f_raise()

VALUE rb_f_raise | ( | int | argc,
|  | VALUE * | argv
| ) |  |

Definition at line 771 of file eval.c.

References argc, argv, err, NIL_P, Qnil, Qundef, raise_max_opt, raise_opt_cause, rb_eArgError, rb_make_exception(), rb_raise(), rb_raise_jump(), and UNREACHABLE_RETURN.

## ◆ rb_mark_end_proc()

void rb_mark_end_proc | ( | void |  | ) |

Definition at line 78 of file eval_jump.c.

References link(), and rb_gc_mark().

## ◆ rb_refinement_module_get_refined_class()

VALUE rb_refinement_module_get_refined_class | ( | VALUE | module | ) |

Definition at line 1513 of file eval.c.

References CONST_ID, and rb_attr_get().

## Variable Documentation

## ◆ ruby_static_id_signo

ID ruby_static_id_signo
| extern

Definition at line 51 of file eval.c.

## ◆ ruby_static_id_status

ID ruby_static_id_status
| extern

Definition at line 51 of file eval.c.